summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-10-19 18:37:32 +0300
committerAndrei Karas <akaras@inbox.ru>2017-10-19 18:37:32 +0300
commitb10c5b3cc6272ba3a3a75483d57c8a774e2512b2 (patch)
tree4ebb1d7b245c66ef63b843a60348fca1e1c21d03
parent6f370b7c514c0e2e0df266fc76c74070a700e0ae (diff)
downloadspm-b10c5b3cc6272ba3a3a75483d57c8a774e2512b2.tar.gz
spm-b10c5b3cc6272ba3a3a75483d57c8a774e2512b2.tar.bz2
spm-b10c5b3cc6272ba3a3a75483d57c8a774e2512b2.tar.xz
spm-b10c5b3cc6272ba3a3a75483d57c8a774e2512b2.zip
Replace apt-get to aptitude in install ci script.
-rwxr-xr-x.ci/install.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/.ci/install.sh b/.ci/install.sh
index 1c6bc24..ca26375 100755
--- a/.ci/install.sh
+++ b/.ci/install.sh
@@ -8,5 +8,10 @@ fi
echo "apt-get update"
./.ci/retry.sh apt-get update || exit 1
-echo "apt-get -y install $*"
-./.ci/retry.sh apt-get -y install $* || exit 1
+echo "apt-get -y install aptitude"
+./.ci/retry.sh apt-get -y install aptitude || exit 1
+
+echo "aptitude update"
+./.ci/retry.sh aptitude update || exit 1
+echo "aptitude -y install $*"
+./.ci/retry.sh aptitude -y install $* || exit 1